# https://mise.jdx.dev/

[tools]
fnox = "latest"
usage = "latest"
gleam = "latest"
rust = "latest"
node = "latest"
go = "latest"
bun = "latest"

"aqua:FiloSottile/age" = "latest"
"aqua:sharkdp/bat" = "latest"
"aqua:dandavison/delta" = "latest"
"aqua:sharkdp/fd" = "latest"
"aqua:junegunn/fzf" = "latest"
"aqua:charmbracelet/glow" = "latest"
"aqua:charmbracelet/gum" = "latest"
"aqua:martinvonz/jj" = "latest"
"aqua:jqlang/jq" = "latest"
"aqua:casey/just" = "latest"
"aqua:goreleaser/nfpm" = "latest"
"aqua:BurntSushi/ripgrep" = "latest"
"aqua:starship/starship" = "latest"
"aqua:caarlos0/svu" = "latest"
"aqua:go-task/task" = "latest"
"aqua:charmbracelet/vhs" = "latest"
"aqua:mikefarah/yq" = "latest"
"aqua:atuinsh/atuin" = "latest"
"aqua:twpayne/chezmoi" = "latest"
"aqua:golangci/golangci-lint" = "latest"
"aqua:nametake/golangci-lint-langserver" = "latest"
"aqua:sxyazi/yazi" = "latest"
"aqua:jesseduffield/lazygit" = "latest"
"aqua:astral-sh/uv" = "latest"
"aqua:nojima/httpie-go" = "latest"
"aqua:Wilfred/difftastic" = "latest"

"github:TomWright/dasel" = "latest"
"github:skatkov/devtui" = "latest"
"github:muesli/duf" = "latest"
"github:eza-community/eza" = "latest"
"github:ndonfris/fish-lsp" = "latest"
"github:grouzen/framework-tool-tui" = "latest"
"github:unhappychoice/gittype" = "latest"
"github:lsd-rs/lsd" = "latest"
"github:oxipng/oxipng" = "latest"
"github:lusingander/serie" = "latest"
"github:Gaurav-Gosain/tuios" = { version = "latest", asset_pattern = "tuios_*_Linux_x86_64.tar.gz" }
"github:curl/wcurl" = { version = "latest", asset_pattern = "wcurl" }
"github:roc-lang/roc" = "latest"
"github:str4d/rage" = "latest"
"github:stefanlogue/meteor" = "latest"
"github:dahlia/hongdown" = "latest"
"github:Backblaze/B2_Command_Line_Tool" = "latest"
"github:dmmulroy/jj-starship" = { version = "latest", bin = "jj-starship" }

"cargo:https://github.com/alexispurslane/jjdag" = "rev:38dd4dc426522d81cbc7ce05f735a52083038e24"

"npm:@typescript/native-preview" = "latest"
"npm:@vtsls/language-server" = "latest"
"npm:bash-language-server" = "latest"
"npm:typescript" = "latest"
"npm:typescript-language-server" = "latest"

"go:git.sr.ht/~xenrox/hut" = "latest"
"go:git.secluded.site/lune" = "latest"

"http:wt" = { version = "latest", url = "https://git.secluded.site/wt/blob/main/dist/wt?raw=1" }

"forgejo:mergiraf/mergiraf" = { version = "latest", api_url = "https://codeberg.org/api/v1" }

# LLM bullshit
"github:stakpak/agent" = "latest"
"cargo:https://git.secluded.site/yatd" = "rev:98a12e98"
"http:coderabbit" = { version = "latest", url = 'https://cli.coderabbit.ai/releases/{{version}}/coderabbit-{{os(macos="darwin")}}-{{arch()}}.zip', version_list_url = "https://cli.coderabbit.ai/releases/latest/VERSION" }
"go:git.secluded.site/crush" = "latest"
"go:git.secluded.site/git-format" = "latest"
"npm:octofriend" = "latest"
"npm:@sourcegraph/amp" = "latest"
"npm:@mariozechner/pi-coding-agent" = "latest"
"npm:@fission-ai/openspec" = "latest"
"npm:@kodus/cli" = "latest"
